
x=EDAv;    %přejmenování pro jednodušší vypisování

%DETEKCE IMPULSŮ ODPOVÍDAJÍCÍ OBRÁZKŮM PREZENTACE
detekce1=diff(detekce); %Výpočet diference pro následné ořezání
osoba_EDA=cell(1,55);
k=1;
while k<length(detekce)  %cyklus, který odhalí které úseky synchronizačního signálů patří obrázkům
    if detekce1(k)>4900 && detekce1(k)<5100 % v případě že délka vektoru vyhovuje podmínce jedn se o obrázek
        osoba_EDA{k}(1,:)=x(detekce(k):detekce(k+1)); %ořezání
       
        k=k+1; %posun o krok
    elseif detekce1(k)+detekce1(k+1)>4900 && detekce1(k)+detekce1(k+1)<5100 % v případě, že nesplňuje podmínku výše, ověří se zda splňuje upřesněnou podmínku
        osoba_EDA{k}(1,:)=x(detekce(k):detekce(k+2)); % pokud ano zapíše se jako obrázek
        
        k=k+2; %přeskočení jedné pozice
    else
        k=k+1; %není splněna žádná podmínka přičte se iteracce
    end
    
end

i=1;
for k=1:length(osoba_EDA)  %nalezení prázných pozic z předchozího cyklu
    a=isempty(osoba_EDA{k}); %matice s logiyckými proměnnými 0 a 1 pro zaplněnost buňky
    if a==0
        plne(i)=k; % ověření plnosti
        i=i+1;
    end
end
osoba_EDA=osoba_EDA(plne);%odstranění prázných pozic z předchozího cyklu


